# Uses of Interface
org.eclipse.jdt.core.IWorkingCopy

Packages that use IWorkingCopy
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.core.search
Provides support for searching the workspace Java elements that match a particular description.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of IWorkingCopy in org.eclipse.jdt.core

Subinterfaces of IWorkingCopy in org.eclipse.jdt.core
Modifier and Type
Interface
Description
`interface`
`ICompilationUnit`
Represents an entire Java compilation unit (source file with one of the `Java-like extensions`).
Methods in org.eclipse.jdt.core that return IWorkingCopy
Modifier and Type
Method
Description
`static IWorkingCopy[]`
JavaCore.`getSharedWorkingCopies(IBufferFactory factory)`
Deprecated.
Use `JavaCore.getWorkingCopies(WorkingCopyOwner)` instead
Methods in org.eclipse.jdt.core with parameters of type IWorkingCopy
Modifier and Type
Method
Description
`ITypeHierarchy`
IType.`newSupertypeHierarchy(IWorkingCopy[] workingCopies, org.eclipse.core.runtime.IProgressMonitor monitor)`
Deprecated.
Use `IType.newSupertypeHierarchy(ICompilationUnit[], IProgressMonitor)` instead
`ITypeHierarchy`
IType.`newTypeHierarchy(IWorkingCopy[] workingCopies, org.eclipse.core.runtime.IProgressMonitor monitor)`
Deprecated.
Use `IType.newTypeHierarchy(ICompilationUnit[], IProgressMonitor)` instead

## Uses of IWorkingCopy in org.eclipse.jdt.core.search

Constructors in org.eclipse.jdt.core.search with parameters of type IWorkingCopy
Modifier
Constructor
Description
``
`SearchEngine(IWorkingCopy[] workingCopies)`
Deprecated.
Use `SearchEngine(ICompilationUnit[])` instead.

## Uses of IWorkingCopy in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui that return IWorkingCopy
Modifier and Type
Method
Description
`static IWorkingCopy[]`
JavaUI.`getSharedWorkingCopies()`
Deprecated.
Use `JavaCore.getWorkingCopies(org.eclipse.jdt.core.WorkingCopyOwner)` instead with `null` as argument for owner.
`static IWorkingCopy[]`
JavaUI.`getSharedWorkingCopiesOnClasspath()`
Deprecated.
Use `JavaCore.getWorkingCopies(org.eclipse.jdt.core.WorkingCopyOwner)` instead and filter the list with `IJavaProject.isOnClasspath(IJavaElement)`.